System.ServiceModel 4.0.0.0 System.ServiceModel.Syndication.SyndicationItemFormatter System.Xml.Serialization.IXmlSerializable System.Xml.Serialization.XmlRoot("entry", Namespace="http://www.w3.org/2005/Atom")

Use this class to serialize instances of and to create an instance of from an XML document that contains an Atom 1.0 entry. If you have derived a class from and want to serialize it, use the formatter instead.

The Atom 1.0 specification allows for fractional seconds to be specified in any of its date constructs. When serializing and deserializing, the indigo2 implementation ignores the fractional seconds.

A class that serializes a instance to and from Atom 1.0 format.

- Constructor
  4.0.0.0
  To be added.

  Creates a new instance of the class.

- Constructor
  4.0.0.0
  To be added.
  To be added.

  Creates a new instance of the class with the specified .

- Constructor
  4.0.0.0

  Use this constructor to specify a class derived from to instantiate when a syndication item is read in.

  Initializes a new instance of the class.

  The derived instance to associate with the
- Method
  4.0.0.0
  System.Boolean `` To be added.

  Verifies whether the specified contains a valid Atom 1.0 syndication item.

  A value that specifies whether the contains a valid Atom 1.0 syndication item.

  The to read from.
- Method
  4.0.0.0
  System.ServiceModel.Syndication.SyndicationItem

  The newly created instance is not automatically associated with the used to create it.

  Creates a new instance.

  A new instance.

- Property
  4.0.0.0
  System.Type To be added. To be added.

  Gets the type of the syndication item associated with the .

- Property
  4.0.0.0
  System.Boolean To be added.

  The default value of this property is true. Attribute extensions are XML attributes that are not defined in the Atom 1.0 specification. This property determines whether to write these attributes during serialization. Similarly, this property determines whether to preserve unknown attributes inside the AttributeExtensions properties in the instance when deserializing an Atom1.0 entry.

  Gets or sets a value that specifies whether to preserve attribute extensions during serialization.

- Property
  4.0.0.0
  System.Boolean To be added.

  The default value of this property is true. Element extensions are XML elements that are not defined in the Atom 1.0 specification. This property determines whether to write these elements during serialization. Similarly, this property determines whether to preserve unknown elements inside the ElementExtensions properties in the instance when deserializing an Atom1.0 entry.

  Gets or sets a value that specifies whether to preserve element extensions during serialization.

- Method
  4.0.0.0
  System.Void `` To be added.

  Reads an Atom 1.0 syndication item from the specified instance.

  The to read from.
- Method
  4.0.0.0
  System.Xml.Schema.XmlSchema

  Override this method to return your own schema.

  Implements the method.

  Null.

- Method
  4.0.0.0
  System.Void `` To be added.

  Implements the method.

  The used to read XML document.
- Method
  4.0.0.0
  System.Void `` To be added.

  Implements the method.

  The used to write the XML node.
- Property
  4.0.0.0
  System.String To be added.

  indigo1 supports Atom 1.0 and RSS 2.0 syndication versions.

  Gets the syndication version used by the formatter.

- Method
  4.0.0.0
  System.Void `` To be added.

  Writes the associated with the to the specified .

  The to write to.